/*******************************************************************************
 * Copyright 2019 2Fi Business Solutions Ltd.
 *
 * This code is part of the Core project.
 *
 * This code is copyrighted. Under no circumstances should any party, people,
 * or organization should redistribute any portions of this code in any form,
 * either verbatim or through electronic media, to any third parties, unless
 * under explicit written permission by 2Fi Business Solutions Ltd.
 ******************************************************************************/
package com.ffii.tbms.user;

import java.io.Serializable;

public class UserSetting implements Serializable {

	public static final String USER_lang = "USER.lang";
	public static final String USER_materialItemGroup = "USER.materialItemGroup";
	public static final String USER_showMaterialItemCost = "USER.showMaterialItemCost";

	private static final long serialVersionUID = 3925955875238868120L;

	private int userId;

	private String category;

	private String type;

	private String name;

	private String value;

	/** default constructor */
	public UserSetting() {

	}

	public int getUserId() {
		return userId;
	}



	public void setUserId(int userId) {
		this.userId = userId;
	}



	public String getCategory() {
		return category;
	}

	public void setCategory(String category) {
		this.category = category;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

}
